cURL
curl --request POST \
--url https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/reissue \
--header 'Content-Type: application/json' \
--data '
{
"caId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commonName": "<string>",
"certificateTtlDays": 1825,
"externalConfiguration": {
"caType": "digicert",
"reissueFromExternalOrderId": "<string>"
}
}
'import requests
url = "https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/reissue"
payload = {
"caId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commonName": "<string>",
"certificateTtlDays": 1825,
"externalConfiguration": {
"caType": "digicert",
"reissueFromExternalOrderId": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
caId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
commonName: '<string>',
certificateTtlDays: 1825,
externalConfiguration: {caType: 'digicert', reissueFromExternalOrderId: '<string>'}
})
};
fetch('https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/reissue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"status": "active",
"certificateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvalPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastSignedAt": "2023-11-07T05:31:56Z",
"caId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commonName": "<string>",
"certificateTtlDays": 123,
"certificateRenewBeforeDays": 123,
"certificateFailureReason": "<string>",
"keyAlgorithm": "RSA_2048",
"externalCaConfig": null
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Signers
Reissue Certificate
Re-issue the signer’s certificate (optionally from a different CA or with a different key source)
POST
/
api
/
v1
/
cert-manager
/
signers
/
{signerId}
/
certificate
/
reissue
cURL
Path Parameters
Body
application/json
Required string length:
1 - 256Required range:
1 <= x <= 3650Available options:
RSA_2048, RSA_3072, RSA_4096, EC_prime256v1, EC_secp384r1, EC_secp521r1 Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Default Response
Was this page helpful?
⌘I